package cn.pluss.platform.ys.impl.v20220527;


import lombok.Getter;

@Getter
public enum ReqMethod {
    addCustInfoApply(Req.Url.PREFIX + "t1/smsc/addCustInfoApply"),
    modifyCustInfoApply(Req.Url.PREFIX + "smsc/modifyCustInfoApply"),
    upload(Req.Url.PREFIX + "file/smsc/upload"),
    auditCustInfoApply(Req.Url.PREFIX + "t1/smsc/auditCustInfoApply"),
    queryCustApply(Req.Url.PREFIX + "smsc/queryCustApply"),
    sign(Req.Url.PREFIX + "t1/smsc/sign"),
    sendSmsOrEmailMsg(Req.Url.PREFIX + "smsc/sign/sendSmsOrEmailMsg"),
    queryAuthInfo(Req.Url.PREFIX + "smsc/saas/constract/queryAuthInfo"),
    queryContract(Req.Url.PREFIX + "smsc/sign/queryContract"),
    sweepReport(Req.Url.PREFIX + "smsc/saas/sweep/sweepreport"),
    reportAgain(Req.Url.PREFIX + "smsc/saas/sweep/reportAgain"),
    changeMercBaseInfo(Req.Url.PREFIX + "smsc/changeMercBaseInfo"),
    uploadChangePic(Req.Url.PREFIX + "file/smsc/uploadChangePic"),
    queryCustChange(Req.Url.PREFIX + "smsc/queryCustChange"),
    changeMercStlAccInfo(Req.Url.PREFIX + "t1/smsc/changeMercStlAccInfo"),
    changeRate(Req.Url.PREFIX + "smsc/changeRate"),
    openOnlinePay(Req.Url.PREFIX + "smsc/saas/authority/online"),
    regionList(Req.Url.PREFIX + "pregate/trade/findCmmtAreaInfoList"),

    repAndAppIdQry(Req.Url.PREFIX + "report/scan/union/repAndAppIdQry"),
    /**
     * 支付宝实名认证状态查询
     */
    aliAuthStatus(Req.Url.PREFIX + "pregate/alipay/getAuthState"),
    /**
     * 新增报备
     */
    Reporting(Req.Url.PREFIX+"report/scan/union/reportAdd"),
    /**
     * 新增/修改appid
     */
    appIdAddOrUpdate(Req.Url.PREFIX+"report/scan/union/appIdAddOrUpdate")
    ;

    private final String url;

    private final String method;

    ReqMethod(String url, String method) {
        this.url = url;
        this.method = method;
    }

    ReqMethod(String url) {
        this(url, url.replace(Req.Url.PREFIX, "").replace('/', '.'));
    }
}
